=== debian/changelog ===
kdeconnect (21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:09:08 +0000

kdeconnect (21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:15:36 +0000

kdeconnect (21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:23:26 +0000

kdeconnect (21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:20:29 +0000

kdeconnect (21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:04:40 +0000

kdeconnect (21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:15:47 +0000

kdeconnect (21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)
  * Update build deps from cmake.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:24:59 +0000

kdeconnect (21.08.3-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Don't depend for now on fuse3 or sshfs >= 3 until fuse3
      transition is complete in Ubuntu.
    - Runtime depend on qml-module-org-kde-qqc2desktopstyle.

 -- Rik Mills <rikmills@kde.org>  Fri, 19 Nov 2021 09:47:29 +0000

kdeconnect (21.08.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:38:46 +0000

kdeconnect (21.08.1-0ubuntu2) jammy; urgency=medium

  * No-change rebuild against libkf5pulseaudioqt3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Nov 2021 07:39:19 +0000
