=== debian/control ===
Source: kdeconnect
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Norbert Preining <norbert@preining.info>,
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.71.0~),
               gettext,
               kirigami2-dev (>= 5.71.0~),
               libfakekey-dev,
               libkf5configwidgets-dev (>= 5.71.0~),
               libkf5dbusaddons-dev (>= 5.71.0~),
               libkf5doctools-dev (>= 5.71.0~),
               libkf5i18n-dev (>= 5.71.0~),
               libkf5iconthemes-dev (>= 5.71.0~),
               libkf5kcmutils-dev (>= 5.71.0~),
               libkf5kio-dev (>= 5.71.0~),
               libkf5notifications-dev (>= 5.71.0~),
               libkf5package-dev,
               libkf5people-dev (>= 5.71.0~),
               libkf5pulseaudioqt-dev,
               libkf5qqc2desktopstyle-dev,
               libkf5service-dev (>= 5.71.0~),
               libkf5solid-dev (>= 5.71.0~),
               libkf5wayland-dev (>= 4:5.71.0~),
               libqca-qt5-2-dev (>= 2.1.0~),
               libqt5waylandclient5-dev (>= 5.10.0~),
               libqt5x11extras5-dev (>= 5.10.0~),
               libwayland-bin,
               libwayland-dev (>= 1.15~),
               libx11-dev,
               libxtst-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.10.0~),
               qtbase5-private-dev (>= 5.10.0~),
               qtdeclarative5-dev (>= 5.10.0~),
               qtmultimedia5-dev (>= 5.10.0~),
               qtquickcontrols2-5-dev (>= 5.10.0~),
               qtwayland5-dev-tools,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://kdeconnect.kde.org
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdeconnect-kde

Package: kdeconnect
Architecture: any
Depends: kpeople-vcard,
         libqca-qt5-2-plugins,
         plasma-framework,
         qml-module-org-kde-kirigami2,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-people,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qt-labs-platform,
         qml-module-qtgraphicaleffects,
         qml-module-qtmultimedia,
         qml-module-qtqml,
         qml-module-qtquick-controls2,
         qml-module-qtquick-dialogs,
         qml-module-qtquick-layouts,
         qml-module-qtquick-particles2,
         qml-module-qtquick-window2,
         qml-module-qtquick2,
         sshfs,
         ${misc:Depends},
         ${shlibs:Depends},
Description: connect smartphones to your desktop devices
 Tool to integrate your smartphone, tablet, and desktop devices.
 Remote-control, share files, synchronize notifications, and more!
 At the moment it only supports Android-based mobile devices. Linux desktop
 devices are well-supported, with ports available for other operating systems.

Package: nautilus-kdeconnect
Architecture: all
Depends: kdeconnect, nautilus, python3-nautilus, ${misc:Depends}
Enhances: nautilus
Breaks: kdeconnect (<< 20.12)
Replaces: kdeconnect (<< 20.12)
Description: KDE Connect integration for Nautilus
 Extension providing integration to send files to KDE Connect compatible
 devices directly from within Nautilus.
