## kdeconnect 22.08.2

=== debian/changelog ===
kdeconnect (22.08.2-0ubuntu1) kinetic; urgency=medium

  * New upstream bugfix release (22.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 Oct 2022 08:14:19 +0100

kdeconnect (22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:38:36 +0100

kdeconnect (22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)
  * Build depend on plasma-wayland-protocols.

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:48:39 +0100

kdeconnect (22.04.3-0ubuntu2) kinetic; urgency=medium

  * Patch for nautilus 43 compatibility

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Wed, 17 Aug 2022 10:55:14 -0700

kdeconnect (22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:26:04 +0100

kdeconnect (22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:00:03 +0100

kdeconnect (22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 20:57:25 +0100

kdeconnect (22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:46:32 +0100
