=== debian/control ===
--- 
+++ 
@@ -35,6 +35,7 @@
                libxtst-dev,
                pkg-config,
                pkg-kde-tools,
+               plasma-wayland-protocols,
                qtbase5-dev (>= 5.10.0~),
                qtbase5-private-dev (>= 5.10.0~),
                qtdeclarative5-dev (>= 5.10.0~),
