## kdeconnect 22.12.1

=== debian/changelog ===
kdeconnect (22.12.1-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.12.1).
  * Bump Standards-Version to 4.6.2, no change required.
  * Add Albert Astals Cid’s master key to upstream signing keys.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Jan 2023 23:05:20 +0100

kdeconnect (22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:36 +0100

kdeconnect (22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.1, no change required.
  * Update the list of installed files from build logs.
  * Update the list of installed files from build logs.
  * New upstream release (22.11.90).
  * Update build-deps and deps with the info from cmake.
  * Refresh patches.
  * Drop patch nautilus-43-compat.patch, applied upstream.
  * New upstream release (22.12.0).
  * Refresh lintian overrides.
  * Refresh copyright information.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:12:53 +0100

kdeconnect (21.12.3-2) unstable; urgency=medium

  * Team upload.
  * Backport patch to fix Nautilus 43 compatibility (Closes: #1018884).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 03 Sep 2022 13:18:07 -0300

kdeconnect (21.12.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - add libkf5package-dev
  * Update install files.

 -- Pino Toscano <pino@debian.org>  Sat, 05 Mar 2022 15:02:06 +0100
